unit Unit1;

//Programme par Yoann
//http://delphipage.free.fr/

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  ComCtrls, OleCtrls, SHDocVw, StdCtrls, ExtCtrls, Registry;

type
  TForm1 = class(TForm)
    Panel1: TPanel;
    Label1: TLabel;
    Edit1: TEdit;
    Button1: TButton;
    Button2: TButton;
    Button3: TButton;
    Button4: TButton;
    Button5: TButton;
    WebBrowser1: TWebBrowser;
    StatusBar1: TStatusBar;
    procedure Edit1KeyPress(Sender: TObject; var Key: Char);
    procedure Button1Click(Sender: TObject);
    procedure Button2Click(Sender: TObject);
    procedure Button3Click(Sender: TObject);
    procedure Button4Click(Sender: TObject);
    procedure Button5Click(Sender: TObject);
    procedure WebBrowser1DownloadBegin(Sender: TObject);
    procedure WebBrowser1DownloadComplete(Sender: TObject);
  private
    { Dclarations prives }
  public
    { Dclarations publiques }
  end;

var
  Form1: TForm1;

implementation

{$R *.DFM}

procedure TForm1.Edit1KeyPress(Sender: TObject; var Key: Char);
begin
if Key=Chr(VK_Return) then
begin
Key:=#0; //Supprime le beep du Edit
WebBrowser1.Navigate(Edit1.Text); //Va sur la ressource identifie par un chemin d'accs ou une URL
end;
end;

procedure TForm1.Button1Click(Sender: TObject);
begin
try
WebBrowser1.Refresh; //Recharge le document en cours
except
ShowMessage('Vous ne pouvez pas rafraichir cette page');
end;
end;

procedure TForm1.Button2Click(Sender: TObject);
Var Registre : TRegistry;
begin
WebBrowser1.GoHome; //Passe sur la page de dmarrage en cours
//Rcupre l'URL de la page de dmarrage
Registre:=TRegistry.Create;
Registre.RootKey:=HKEY_CURRENT_USER;
Registre.OpenKey('\Software\Microsoft\Internet Explorer\Main',False);
Edit1.Text:=Registre.ReadString('Start Page');
Registre.CloseKey;
Registre.Free;
end;

procedure TForm1.Button3Click(Sender: TObject);
begin
try
WebBrowser1.GoForward; //Passe  l'lment suivant de l'historique
except
ShowMessage('Il n''y a pas d''lment suivant');
end;
end;

procedure TForm1.Button4Click(Sender: TObject);
begin
try
WebBrowser1.GoBack; //Revient  l'lment prcdent dans l'historique
except
ShowMessage('Il n''y a pas d''lment prcdent');
end;
end;

procedure TForm1.Button5Click(Sender: TObject);
begin
WebBrowser1.Stop; //Arrte l'opration en cours
end;

procedure TForm1.WebBrowser1DownloadBegin(Sender: TObject);
begin
StatusBar1.SimpleText:='Ouverture de '+WebBrowser1.LocationName; //Message indiquant le nom de la page qui se charge
end;

procedure TForm1.WebBrowser1DownloadComplete(Sender: TObject);
begin
StatusBar1.SimpleText:='Termin'; //Message indiquant que le chargement de la page est termin
end;

end.
